all: slides.pdf rapport.pdf

slides.pdf: slides.tex $(wildcard slides/*.tex)
	pdflatex slides.tex
	pdflatex rapport.tex

rapport.pdf: rapport.tex
	pdflatex rapport.tex
	pdflatex rapport.tex

clean:
	rm -f *.aux *.log *.nav *.out *.toc *.snm

cleanall: clean
	rm -f slides.pdf

PHONY: all clean cleanall
